%define prefix /usr
%define name bash_trans
%define version 0.3
%define release %mkrel 1
%define url www.pclinuxos.com

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Translate Bash scripts
Summary(de):	Übersetzen von Bash Scripte
Summary(fr):    Traduire les scripts Bash
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2
Obsoletes:	%name < %version

%description
this script allows you to generate automatically a "pot" file, and a "po" file, 
which are needed when you want to translate the script to your language. The 
use is simple : right-click on the Bash script for which you need pot and po 
files, select "Translation Bash Scripts" from the right-click menu, bash_trans 
will then do the job for you. 
Visit our forum for more informations
http://www.pclinuxos.com/forum/index.php/topic,59145.msg475823.html#msg475823

#german
%description -l de
Dieses Skript ermöglicht es Ihnen, automatisch einen pot- und eine po-Datei, die 
erforderlich sind, wenn Sie ein Skript in Ihre Sprache übersetzen wollen, zu erstellen. 
Die Anwendung ist einfach: mit der rechten Maustaste auf das Bash-Skript klicken 
was Sie übersetzen wollen und wählen "Übersetzen von Bash Scripte" aus dem Kontextmenü, 
bash_trans wird daraufhin den Job für Sie ausführen.
Besuchen Sie unser Forum um mehr Informationen zu erhalten
http://www.pclinuxos.com/forum/index.php/topic,59145.msg475823.html#msg475823

#france
%description -l fr
Ce script vous permet de générer automatiquement un fichier "pot", et un fichier "po", 
qui sont les fichiers utilisés lorsque vous voulez traduire le script dans votre langue.
L'utilisation est simple : faites un clic-droit sur le script Bash pour lequel vous 
avez besoin des fichiers pot et po, sélectionnez "Translation Bash Scripts" depuis le menu
clic-droit, bash_trans fera alors le travail pour vous.
Visitez notre forum plus plus d'informations (en anglais):
http://www.pclinuxos.com/forum/index.php/topic,59145.msg475823.html#msg475823

%prep

%setup -q -n %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}

install -d -m 0755 %buildroot%_datadir/icons
install -m 0644 %{name}.png %buildroot%_datadir/icons/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Translation Bash scripts
Name[de]=Übersetzen von Bash Scripte
Name[fr]=Traduction des Scripts bash
Comment=generate pot -, and po files
Comment[de]=pot- und po Dateien erzeugen
Comment[fr]=produit un fichier pot et un fichier po
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
MimeType=text/plain;text/x-chdr;text/x-csrc;text/x-c++hdr;text/x-c++src;text/x-java;text/x-dsrc;text/x-pascal;text/x-perl;text/x-python;
Encoding=UTF-8
EOF

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%_datadir/icons/%{name}.png
%doc COPYING

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Apr 19 2011 Neal <nealbrks0 at gmail dot com> 0.3-1pclos2011
- process

* Tue Apr 19 2011 leiche <meisssw01 at aol.com> 0.3-1leiche2011
- add multiple terminals
 
* Sun Apr 17 2011 leiche <meisssw01 at aol.com> 0.2-2leiche2011
- build for PCLinuxOS
- add requires for new glibc
- add france synaptic description, translated by Melodie
- add german synaptic description
- add france language in desktop file, translated by Melodie
- add german language in desktop file
